org.apache.ignite.internal.processors.query.property

## Interface QueryPropertyAccessor

All Known Implementing Classes:
  QueryFieldAccessor, QueryMethodsAccessor, QueryReadOnlyMethodsAccessor

    public interface QueryPropertyAccessor

Way of accessing a property - either via field or getter and setter methods.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getPropertyName()`
`Class<?>` `getType()`
`Object` `getValue(Object obj)` Get property value from given object.
`void` `setValue(Object obj, Object newVal)` Set property value on given object.

### Method Detail

#### getValue

    Object getValue(Object obj)
             throws IgniteCheckedException

Get property value from given object.

Parameters:
  `obj` - Object to retrieve property value from.
Returns:
  Property value.
Throws:
  `IgniteCheckedException` - if failed.

#### setValue

    void setValue(Object obj,
                  Object newVal)
           throws IgniteCheckedException

Set property value on given object.

Parameters:
  `obj` - Object to set property value on.
  `newVal` - Property value.
Throws:
  `IgniteCheckedException` - if failed.

#### getPropertyName

    String getPropertyName()

Returns:
  Name of this property.

#### getType

    Class<?> getType()

Returns:
  Type of the value of this property.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018